summaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorGravatar Dirk Hohndel <dirk@hohndel.org>2017-11-24 08:14:17 -0800
committerGravatar Dirk Hohndel <dirk@hohndel.org>2017-11-24 16:58:55 -0800
commitad4ea65493afb7f54610b7ddaa28f526f791554f (patch)
treeb7a3aab99d97636c8a597dfc97639c285e9b6661 /scripts
parent82a1757e09540acec6ee5f6e97f5cdb7c216bbbf (diff)
downloadsubsurface-ad4ea65493afb7f54610b7ddaa28f526f791554f.tar.gz
Travis: try to make sure failing builds fail
In some situations Travis CI doesn't seem to notice that a build failed and give us a green check mark even though the build didn't succeed. Signed-off-by: Dirk Hohndel <dirk@hohndel.org>
Diffstat (limited to 'scripts')
-rw-r--r--scripts/android/travisbuild.sh3
-rw-r--r--scripts/linux/travisbuild.sh1
-rw-r--r--scripts/mac/travisbuild.sh3
-rw-r--r--scripts/windows/travisbuild.sh3
4 files changed, 10 insertions, 0 deletions
diff --git a/scripts/android/travisbuild.sh b/scripts/android/travisbuild.sh
index 4887ea684..8cec02585 100644
--- a/scripts/android/travisbuild.sh
+++ b/scripts/android/travisbuild.sh
@@ -1,5 +1,8 @@
#!/bin/bash
+set -x
+set -e
+
docker exec -t builder subsurface/packaging/android/android-build-wrapper.sh
# Extract the built apk from the builder container
diff --git a/scripts/linux/travisbuild.sh b/scripts/linux/travisbuild.sh
index 244320d8d..3e48544f6 100644
--- a/scripts/linux/travisbuild.sh
+++ b/scripts/linux/travisbuild.sh
@@ -1,6 +1,7 @@
#!/bin/bash
set -x
+set -e
# this gets executed by Travis when building an AppImage for Linux
# it gets started from inside the subsurface directory
diff --git a/scripts/mac/travisbuild.sh b/scripts/mac/travisbuild.sh
index f056f3e86..7675db462 100644
--- a/scripts/mac/travisbuild.sh
+++ b/scripts/mac/travisbuild.sh
@@ -1,5 +1,8 @@
#!/bin/bash
+set -x
+set -e
+
# this gets executed by Travis when building an App for Mac
# it gets started from inside the subsurface directory
diff --git a/scripts/windows/travisbuild.sh b/scripts/windows/travisbuild.sh
index e8455ea87..6ca94c888 100644
--- a/scripts/windows/travisbuild.sh
+++ b/scripts/windows/travisbuild.sh
@@ -1,5 +1,8 @@
#!/bin/bash
+set -x
+set -e
+
# this gets executed by Travis when building an installer for Windows
# it gets started from inside the subsurface directory
# with all the other projects downloaded and installed in parralel to